Package net.shibboleth.profile.context.logic

# Class LoopDetectionPredicate.DefaultTagGenerator

java.lang.Object
net.shibboleth.profile.context.logic.LoopDetectionPredicate.DefaultTagGenerator

All Implemented Interfaces:
  `Function<ProfileRequestContext,String>`

Enclosing class:
  LoopDetectionPredicate

private class LoopDetectionPredicate.DefaultTagGenerator extends Object implements Function<ProfileRequestContext,String>
Default tag generator that hashes the RP ID.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final StringDigester`
`digester`
Digester to prooduce tag.

## Constructor Summary

Constructors
Constructor
Description
`DefaultTagGenerator()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### digester

@Nonnull private final StringDigester digester
Digester to prooduce tag.

## Constructor Details

### DefaultTagGenerator

public DefaultTagGenerator() throws NoSuchAlgorithmException
Constructor.

Throws:
  `NoSuchAlgorithmException` - if unable to obtain digester

## Method Details

### apply

@Nullable public String apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,String>`